function [cohesion, FibCrackIn] = Compute(typeCalc, FibCrackS, FibCrackL, FibCrackIn, FibCrackPar, eta, sc, src, dc, cc)

% function determine type of calculation
% parameter typeCalc determine mode
%
% in:   typeCalc - type of calculation
%       FibCrackS - parameters on short embedded side (see SelFib.m)
%       FibCrackL - parameters on long embedded side (see SelFib.m)
%       FibCrackIn - pulling and rupture parameters (see SelFib.m)
%       FibCrackPar - material parameters (see SelFib.m)
%       eta - 
%       sc - [-] snubbing coefficient
%       src - [-] strength reduction coefficient
%       dc - increment of crack opening
%       cc - convergence criterion
% out:  cohesion
%            Column 1 - u - displacement [mm]
%            Column 2 - P - force [kN]
%       FibCrackIn
%            Column 1 - rupture parameter
%            Column 2 - pulling parameter

switch typeCalc
	case 0
		fprintf('SW\n');
		[cohesion, FibCrackIn] = CompSW(FibCrackS, FibCrackIn, FibCrackPar, eta, sc, src, dc);
	case 1
		fprintf('TW\n');
		[cohesion, FibCrackIn] = CompTW(FibCrackS, FibCrackL, FibCrackIn, FibCrackPar, eta, sc, src, dc, cc);
	otherwise
		fprintf('Incorrect parametr\n');
end