function FibGeo = GenFib(par, FileName, b, t, h, Lf, df, Vff)

% function generates fibres in given volume
% parameter par determine mode
%
% in:   par ...  
%       FileName - string - name of file for load/save
%       b, t, h - [mm] dimensions of specimen
%       Lf - [mm] length of fiber
%       df - [mm] diameter of fiber
%       Vff - [-] volume fraction of fiber
% out:  FibGeo ... table of fibers
%       Column 1 - initial x [mm]
%       Column 2 - initial  y [mm]
%       Column 3 - initial  z [mm]
%       Column 4 - end x [mm]
%       Column 5 - end y [mm]
%       Column 6 - end z [mm]
%       Column 7 - angle thau (angle from cross plane) [rad]
%       Column 8 - directional angle [rad]

switch par
	case 0
		fprintf('Load\n');
		FibGeo = load(FileName);
	case 1
		fprintf('Cast\n');
		FibGeo = GenFibNoSaw(b, t, h, Lf, df, Vff);
	case 2
		fprintf('Saw\n');
		FibGeo = GenFibSaw(b, t, h, Lf, df, Vff);
	otherwise
		fprintf('Incorrect parametr\n');
end